---
title: "Marsh Ensign & WPL Diamond Sewage Plant Alarm / Blower Faults: Servicing & Pump-Out (2026 UK) | WePumpSepticTanks.com"
source_url: "https://wepumpseptictanks.com/guides/marsh-ensign-and-condor-alarm-fault-servicing-uk/"
canonical_url: "https://wepumpseptictanks.com/guides/marsh-ensign-and-condor-alarm-fault-servicing-uk/"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Marsh Ensign or WPL Diamond sewage treatment plant smelling or alarm sounding? Diagnose air blower failure, blocked Polylok filters & book UK desludging (£220–£340)."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://wepumpseptictanks.com/guides/marsh-ensign-and-condor-alarm-fault-servicing-uk/](https://wepumpseptictanks.com/guides/marsh-ensign-and-condor-alarm-fault-servicing-uk/)
>
> *Marsh Ensign or WPL Diamond sewage treatment plant smelling or alarm sounding? Diagnose air blower failure, blocked Polylok filters & book UK desludging (£220–£340).*

# Marsh Ensign & WPL Diamond Sewage Plant Alarm / Blower Faults: Servicing & Pump-Out (2026 UK)

## Check Local Tanker & Survey Rates in Your Postcode

Select your tank size or survey type below to view your instant local price bracket and lock in a free quote from an Environment Agency registered operator:

## Troubleshooting Marsh Ensign & WPL Diamond Sewage Treatment Plants

Both the **Marsh Ensign** (Submerged Aerated Filter) and **WPL Diamond** (fluidised moving bed bio-reactor) rely on a continuous supply of low-pressure air from an external diaphragm or side-channel blower (Secoh, Charles Austen Enviro, or Hiblow) to keep aerobic bacteria alive and circulate sludge.

| Marsh / WPL Symptom | Likely Mechanical or Sludge Fault | Required Service | 2026 Typical UK Cost |
| :--- | :--- | :--- | :--- |
| **Blower Beacon Flashing / No Air** | Ruptured Secoh/Charles Austen diaphragm + tripped thermal switch | Blower diaphragm rebuild + reset | **£150 – £245** |
| **Strong Egg Smell (Hydrogen Sulphide)** | Primary settlement chamber >60% full of anaerobic sludge | Vacuum tanker desludge + Polylok wash | **£220 – £340** |
| **Backing Up at Inlet Manhole** | Blocked Polylok effluent filter or submerged transfer port | Pump-out + filter cartridge jet wash | **£240 – £350** |
| **Loud Rattling from Green Kiosk** | Worn blower magnet shaft or flooded diffuser grid | Full annual service + desludge | **£265 – £395** |

## Why the Polylok Outlet Filter Must Be Washed During Every Desludge

- **Built-In Polylok Effluent Filter:** Marsh Ensign units feature an internal Polylok cartridge filter on the final outlet to prevent suspended solids from entering your soakaway or watercourse. If this filter is not lifted and hosed clean during your annual tanker empty, it will blind over and flood the tank.
- **Blower Dust Filter Cleaning:** Every 6 months, unscrew the top cover of your Charles Austen or Secoh air pump and wash the white foam intake pad in warm soapy water. A clogged air filter overheats the coils and splits the rubber diaphragms prematurely.

Check local Marsh and WPL desludging prices in 10 seconds using our instant postcode quote calculator above.

### Find Local Septic Tank & Cesspit Tankers by County

Compare upfront £170–£280 emptying quotes from Environment Agency licensed operators in your county:

- [Septic tank emptying in Suffolk →](https://wepumpseptictanks.com/septic-tank-emptying-suffolk/)
- [Septic tank emptying in Worcestershire →](https://wepumpseptictanks.com/septic-tank-emptying-worcestershire/)
- [Septic tank emptying in Ayrshire →](https://wepumpseptictanks.com/septic-tank-emptying-ayrshire/)
- [Septic tank emptying in Ceredigion →](https://wepumpseptictanks.com/septic-tank-emptying-ceredigion/)

#### Popular Rural Tanker Dispatch Hubs (Same-Day / Next-Day):

### Need Your Tank Emptied?

We cover 644+ towns across England, Scotland, and Wales. [Find your area](https://wepumpseptictanks.com/#locations) or [get a free quote](https://wepumpseptictanks.com/#quote-form) today.

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://wepumpseptictanks.com/guides/marsh-ensign-and-condor-alarm-fault-servicing-uk/](https://wepumpseptictanks.com/guides/marsh-ensign-and-condor-alarm-fault-servicing-uk/).
